"""
    Ref: https://pyserial.readthedocs.io/en/latest/shortintro.html
"""
import serial
import argparse

# args parse
parser = argparse.ArgumentParser(description='manual to serial param')
parser.add_argument("-p", type=str, default="/dev/ttyUL1",
                    help='Device Node,for example default value: /dev/ttyUL1')
parser.add_argument("-b", type=int, default=115200,
                    help='Baud Rate,for example default value: 115200')
args = parser.parse_args()
print("Input Param is ---> Port:{0} BaudRate:{1} bps .".format(args.p, args.b))

# param init
portx = args.p
bps = args.b
timex = None

# serial init
ser = serial.Serial(portx, bps, timeout=timex)

# send data
demo_data = "Hello World.\n"
result = ser.write(demo_data.encode())
print("\n Send data :{0}".format(demo_data))

# check send is ok
if len(demo_data) == result:
    print("\n \nSend OK !!!!!")
else:
    print("\n \nSend Failed !!!!!")

